Index: tmp/org.txm.textsbalance.rcp/plugin.xml
===================================================================
--- tmp/org.txm.textsbalance.rcp/plugin.xml	(revision 262)
+++ tmp/org.txm.textsbalance.rcp/plugin.xml	(revision 263)
@@ -28,7 +28,7 @@
          point="org.eclipse.ui.menus">
       <menuContribution
             allPopups="false"
-            locationURI="toolbar:org.txm.rcpapplication.toolbartools">
+            locationURI="toolbar:org.txm.rcpapplication.toolbartools?after=ComputeWordCloud">
          <command
                commandId="ComputeBalance"
                icon="icons/balance.png"
Index: tmp/org.txm.textsbalance.rcp/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.textsbalance.rcp/META-INF/MANIFEST.MF	(revision 262)
+++ tmp/org.txm.textsbalance.rcp/META-INF/MANIFEST.MF	(revision 263)
@@ -3,7 +3,7 @@
 Bundle-Name: Texts Balance RCP
 Bundle-SymbolicName: org.txm.textsbalance.rcp;singleton:=true
 Bundle-Version: 1.0.0.qualifier
-Bundle-Vendor: TXM
+Bundle-Vendor: Textometrie.org
 Require-Bundle: org.txm.rcp;bundle-version="0.7.7",
  org.eclipse.core.runtime;bundle-version="3.10.0",
  org.eclipse.ui;bundle-version="3.106.1",
Index: tmp/org.txm.textsbalance.rcp/src/org/txm/textsbalance/rcp/editors/BalanceEditor.java
===================================================================
--- tmp/org.txm.textsbalance.rcp/src/org/txm/textsbalance/rcp/editors/BalanceEditor.java	(revision 262)
+++ tmp/org.txm.textsbalance.rcp/src/org/txm/textsbalance/rcp/editors/BalanceEditor.java	(revision 263)
@@ -70,13 +70,13 @@
 
 		
 		// for group tests
-		Composite p = this.getCommandParametersGroup();
+		Composite p = this.commandParametersGroup;
 		// for tab folder tests
 		//Composite p = this.getCommandParametersComposite();
 
 		
 		
-		Group group = new Group(this.getCommandParametersGroup(), SWT.NONE);
+		Group group = new Group(this.commandParametersGroup, SWT.NONE);
 		
 		group.setText("Group by:");
 		//group.setLayout(new RowLayout(SWT.VERTICAL));
@@ -109,9 +109,6 @@
 		}
 
 
-		p.pack();
-		
-		
 		suCombo.addSelectionListener(new SelectionListener() {
 			
 			@Override
@@ -163,7 +160,8 @@
 		
 		
 		this.compute(false);
-		
+		this.commandParametersGroup.pack();
+
 	}
 
 	
Index: tmp/org.txm.wordcloud.rcp/src/org/txm/wordcloud/rcp/handlers/ComputeWordCloud.java
===================================================================
--- tmp/org.txm.wordcloud.rcp/src/org/txm/wordcloud/rcp/handlers/ComputeWordCloud.java	(revision 262)
+++ tmp/org.txm.wordcloud.rcp/src/org/txm/wordcloud/rcp/handlers/ComputeWordCloud.java	(revision 263)
@@ -35,13 +35,13 @@
 import org.eclipse.ui.handlers.HandlerUtil;
 import org.txm.chartsengine.rcp.SWTChartsComponentsProvider;
 import org.txm.index.core.functions.Index;
+import org.txm.lexicon.core.corpusengine.cqp.Lexicon;
 import org.txm.rcp.handlers.BaseAbstractHandler;
 import org.txm.rcpapplication.StatusLine;
 import org.txm.rcpapplication.commands.OpenBrowser;
 import org.txm.rcpapplication.views.corpora.CorporaView;
 import org.txm.searchengine.cqp.clientExceptions.CqiClientException;
 import org.txm.searchengine.cqp.corpus.Corpus;
-import org.txm.searchengine.cqp.corpus.Lexicon;
 import org.txm.searchengine.cqp.serverException.CqiServerError;
 import org.txm.utils.logger.Log;
 import org.txm.wordcloud.core.functions.WordCloud;
Index: tmp/org.txm.wordcloud.rcp/src/org/txm/wordcloud/rcp/messages/WordCloudUIMessages.java
===================================================================
--- tmp/org.txm.wordcloud.rcp/src/org/txm/wordcloud/rcp/messages/WordCloudUIMessages.java	(revision 262)
+++ tmp/org.txm.wordcloud.rcp/src/org/txm/wordcloud/rcp/messages/WordCloudUIMessages.java	(revision 263)
@@ -1,7 +1,7 @@
 package org.txm.wordcloud.rcp.messages;
 
 import org.eclipse.osgi.util.NLS;
-import org.txm.core.messages.TXMCoreMessages;
+import org.txm.utils.messages.Utf8NLS;
 
 public class WordCloudUIMessages extends NLS {
 	
@@ -30,7 +30,7 @@
 	
 	static {
 		// initialize resource bundle
-		TXMCoreMessages.initializeMessages(BUNDLE_NAME, WordCloudUIMessages.class);
+		Utf8NLS.initializeMessages(BUNDLE_NAME, WordCloudUIMessages.class);
 	}
 
 	private WordCloudUIMessages() {
Index: tmp/org.txm.wordcloud.rcp/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.wordcloud.rcp/META-INF/MANIFEST.MF	(revision 262)
+++ tmp/org.txm.wordcloud.rcp/META-INF/MANIFEST.MF	(revision 263)
@@ -10,4 +10,4 @@
  org.txm.core;bundle-version="0.7.0",
  org.txm.rcp;bundle-version="0.7.8",
  org.txm.index.core;bundle-version="1.0.0"
-Bundle-Vendor: TXM
+Bundle-Vendor: Textometrie.org
Index: tmp/org.txm.wordcloud.core/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.wordcloud.core/META-INF/MANIFEST.MF	(revision 262)
+++ tmp/org.txm.wordcloud.core/META-INF/MANIFEST.MF	(revision 263)
@@ -1,6 +1,6 @@
 Manifest-Version: 1.0
 Bundle-ManifestVersion: 2
-Bundle-Name: WordCloud TBX
+Bundle-Name: WordCloud Core
 Bundle-SymbolicName: org.txm.wordcloud.core;singleton:=true
 Bundle-Version: 1.0.0.qualifier
 Bundle-RequiredExecutionEnvironment: JavaSE-1.6
@@ -16,4 +16,4 @@
  org.txm.wordcloud.core.messages,
  org.txm.wordcloud.core.preferences
 Import-Package: org.txm.chartsengine.core
-Bundle-Vendor: TXM
+Bundle-Vendor: Textometrie.org
Index: tmp/org.txm.wordcloud.core/src/org/txm/wordcloud/core/functions/WordCloud.java
===================================================================
--- tmp/org.txm.wordcloud.core/src/org/txm/wordcloud/core/functions/WordCloud.java	(revision 262)
+++ tmp/org.txm.wordcloud.core/src/org/txm/wordcloud/core/functions/WordCloud.java	(revision 263)
@@ -10,9 +10,9 @@
 import org.txm.functions.Function;
 import org.txm.index.core.functions.Index;
 import org.txm.index.core.functions.Line;
+import org.txm.lexicon.core.corpusengine.cqp.Lexicon;
 import org.txm.searchengine.cqp.clientExceptions.CqiClientException;
 import org.txm.searchengine.cqp.corpus.Corpus;
-import org.txm.searchengine.cqp.corpus.Lexicon;
 import org.txm.searchengine.cqp.corpus.Property;
 import org.txm.searchengine.cqp.corpus.query.Query;
 import org.txm.searchengine.cqp.serverException.CqiServerError;
Index: tmp/org.txm.wordcloud.core/src/org/txm/wordcloud/core/chartsengine/r/RWordCloudChartCreator.java
===================================================================
--- tmp/org.txm.wordcloud.core/src/org/txm/wordcloud/core/chartsengine/r/RWordCloudChartCreator.java	(revision 262)
+++ tmp/org.txm.wordcloud.core/src/org/txm/wordcloud/core/chartsengine/r/RWordCloudChartCreator.java	(revision 263)
@@ -2,13 +2,13 @@
 
 import java.io.File;
 
+import org.txm.core.preferences.TXMPreferences;
 import org.txm.core.results.ITXMResult;
 import org.txm.chartsengine.r.core.RChartCreator;
 import org.txm.chartsengine.r.core.RChartsEngine;
-import org.txm.core.preferences.TXMPreferences;
 import org.txm.statsengine.core.StatException;
 import org.txm.statsengine.r.core.RWorkspace;
-import org.txm.statsengine.r.core.RWorkspaceException;
+import org.txm.statsengine.r.core.exceptions.RWorkspaceException;
 import org.txm.wordcloud.core.functions.WordCloud;
 import org.txm.wordcloud.core.preferences.WordCloudPreferences;
 
Index: tmp/org.txm.textsbalance.core/src/org/txm/textsbalance/core/preferences/TextsBalancePreferences.java
===================================================================
--- tmp/org.txm.textsbalance.core/src/org/txm/textsbalance/core/preferences/TextsBalancePreferences.java	(revision 262)
+++ tmp/org.txm.textsbalance.core/src/org/txm/textsbalance/core/preferences/TextsBalancePreferences.java	(revision 263)
@@ -14,7 +14,6 @@
  */
 public class TextsBalancePreferences extends TXMPreferences {
 
-
 	// auto populate the preference node qualifier from the current bundle id
 	public static final String PREFERENCES_NODE = FrameworkUtil.getBundle(TextsBalancePreferences.class).getSymbolicName();
 
Index: tmp/org.txm.textsbalance.core/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.textsbalance.core/META-INF/MANIFEST.MF	(revision 262)
+++ tmp/org.txm.textsbalance.core/META-INF/MANIFEST.MF	(revision 263)
@@ -1,6 +1,6 @@
 Manifest-Version: 1.0
 Bundle-ManifestVersion: 2
-Bundle-Name: Texts Balance TBX
+Bundle-Name: Texts Balance Core
 Bundle-SymbolicName: org.txm.textsbalance.core;singleton:=true
 Bundle-Version: 1.0.0.qualifier
 Bundle-RequiredExecutionEnvironment: JavaSE-1.6
@@ -13,4 +13,4 @@
  org.txm.chartsengine.core;bundle-version="1.0.0",
  org.txm.chartsengine.jfreechart.core;bundle-version="1.0.0",
  org.txm.chartsengine.r.core;bundle-version="1.0.0"
-Bundle-Vendor: TXM
+Bundle-Vendor: Textometrie.org
